require 'logger'

class P3libLogger
  class << self

    # we use the types info, error, debug, warning
    def log(key, val='', type='info')

      val = '' if val.nil?

      logdir = File.expand_path('~')+"/Library/Logs/REFx4"
      logdir2 = File.expand_path('~')+"/Library/REFx4/JobsLogs/"+$REFXjobid.to_s

      logfile = logdir + '/Engines.log'
      logfile2 = logdir2 + '/engine.log'

      if(@logger.nil?) then
        @logger = Logger.new(logfile)
        @logger.level   = Logger::DEBUG
      end
      if(@logger2.nil?) then
        @logger2 = Logger.new(logfile2)
        @logger2.level   = Logger::DEBUG
      end

      if(!$debug.nil? && type=='debug')
        logstring = "#{type.upcase} - #{key}#{val==''?'':': '+val}"
        @logger.info Time.now.strftime("%b-%d-%Y %H:%M") +' '+ logstring
        @logger2.info Time.now.strftime("%b-%d-%Y %H:%M") +' '+ logstring
      elsif(type!='debug')
        logstring = "#{type.upcase} - #{key}#{val==''?'':': '+val}"
        @logger.info Time.now.strftime("%b-%d-%Y %H:%M") +' '+ logstring
        @logger2.info Time.now.strftime("%b-%d-%Y %H:%M") +' '+ logstring
      end
    end
  end
end
