# P3libUtil

## library for all helper classes
class P3libUtil

  def self.helper_newtempname(len)
    chars = ('a'..'z').to_a + ('A'..'Z').to_a + ('0'..'9').to_a
    newpass = ''
    1.upto(len) { |i| newpass << chars[rand(chars.size-1)] }
    return newpass
  end

  # base64 decode all strings in list
  def self.decode_args(args)
    decoded = []
    args.each do | arg |
      if arg.is_a?(String)
        decoded << Base64.decode64(arg)
      else
        decoded << arg
      end
    end

    decoded
  end

  # force all strings to utf in list
  def self.force_utf(args)
    forced = []
    args.each do | arg |
      if arg.is_a?(String)
        arg.force_encoding('UTF-8')
      end
      forced << arg
    end
    forced
  end
end

